	function nl2br(str){  
		 return str.replace(/\n/g, "<br>");  
	}  

	function br2nl(str){  
		 return str.replace(/\<br(\/)?\>/gi, "\n");  
	}  

	function alerts_reset()
	{
		jQuery("#alert_subject").html("");
		jQuery("#alert_contents").html("");
	}

	function alerts(subject,contents, widths)
	{
		var PUC_SIZE = jQuery(window).width();
		if(PUC_SIZE < widths)
		{
			widths = PUC_SIZE - 10;
		}

		jQuery("#alert_subject").html(subject);
		jQuery("#alert_contents").html(contents);
		openMessage('winAlert',widths)
	}

	function alerts_addmodue(subject,contents, widths)
	{
		var PUC_SIZE = jQuery(window).width();
		if(PUC_SIZE < widths)
		{
			widths = PUC_SIZE - 10;
		}

		jQuery("#alert_subject2").html(subject);
		jQuery("#alert_contents2").html(contents);
		openMessage('winAlert2',widths)
	}

	function openMessage(IDS,widths)
	{
		var left_position = (jQuery(".wrap_sourceplay").width() - 35 - widths)/2;
		var top_position = jQuery(document).scrollTop() + 100;
		

		jQuery('#'+IDS).css("width",widths+"px");
		jQuery('#'+IDS).css("left",left_position+"px");		
		jQuery('#'+IDS).css("top",top_position+"px");				
		
		var filtercss = "blur(2px) grayscale(100%) opacity(50%)";
		jQuery('.wrap_sourceplay').css("filter",filtercss);
		jQuery('.wrap_sourceplay').css("-webkit-filter",filtercss);
		jQuery('.wrap_sourceplay').css("-moz-filter",filtercss);
		jQuery('.wrap_sourceplay').css("-o-filter",filtercss);
		jQuery('.wrap_sourceplay').css("-ms-filter",filtercss);

		jQuery('#'+IDS).show();
		//jQuery('#'+IDS).bPopup();
	}

	function closeMessage(IDS)
	{
		//jQuery('#'+IDS).bPopup().close();

		var filtercss = "";
		jQuery('.wrap_sourceplay').css("filter",filtercss);
		jQuery('.wrap_sourceplay').css("-webkit-filter",filtercss);
		jQuery('.wrap_sourceplay').css("-moz-filter",filtercss);
		jQuery('.wrap_sourceplay').css("-o-filter",filtercss);
		jQuery('.wrap_sourceplay').css("-ms-filter",filtercss);

		jQuery('#'+IDS).hide();
	}

	function copyShortcode()
	{
		jQuery('#map_short_code').select() //복사할 텍스트를 선택
		document.execCommand("copy") //클립보드 복사 실행
		Swal.fire({
		  position: 'center',
		  type: 'success',
		  title: '복사되었습니다',
		  showConfirmButton: false,
		  timer: 500
		}).then(function(result) {
		})
	}


	function whatClientID()
	{
			var contents = "<div style='padding-left:9px; padding-right:5px; display:inline-block; margin-top:10px; margin-bottom:20px'>네이버 클라우드 플랫폼 콘솔에서 애플리케이션을 등록하여 Client ID를 발급받을 수 있습니다.<br>(애플리케이션 등록 시, Web Dynamic Map과 Geocoding 서비스 선택해주세요)<br>유튜브 <a href='https://www.youtube.com/watch?v=nu_I3hxkyXU&list=PLY0-fSVL_iSNpAb6DMKhzFL9A2IOPeco7&index=2&t=0s' target='_new'>소스놀이터의 지도 강의</a>를 참조하세요</div>";

			alerts("내용 보기",contents,450);
	}

	function modifyDestAddress()
	{
		if(jQuery("#destAddress").length > 0)
		{
			var additionHTML = "";
				additionHTML += "<button type='button' style='margin:0px auto' id='btnModify' onclick=\"javascript:changeDestAddress();\">수정하기</button>";

			var contents = "";
			var dest_contents = br2nl(jQuery("#destAddressContents").html());

			var widthUnit = mapWidth.substring(mapWidth.length-1);
			var width = "";
			var widthUnitChecked1 = "";
			var widthUnitChecked2 = "";
			if(widthUnit == "%")
			{
				widthUnitChecked2 = "checked"
				width = mapWidth.substring(0, mapWidth.length-1);
			}
			else
			{
				widthUnitChecked1 = "checked"
				width = mapWidth.substring(0, mapWidth.length-2);
			}

			var heightUnit = mapHeight.substring(mapHeight.length-1);
			var height = "";
			var heightUnitChecked1 = "";
			var heightUnitChecked2 = "";
			if(heightUnit == "%")
			{
				heightUnitChecked2 = "checked"
				height = mapHeight.substring(0, mapHeight.length-1);
			}
			else
			{
				heightUnitChecked1 = "checked"
				height = mapHeight.substring(0, mapHeight.length-2);
			}

			var openWindowWidth = jQuery(document).width()-300;
			var PUC_SIZE = jQuery(document).width();
			if(PUC_SIZE < openWindowWidth)
			{
				openWindowWidth = PUC_SIZE - 10;
			}
	
			jQuery("#winADD_subject").html("내용보기");

			openMessage('winADD',openWindowWidth)

			var editor = tinyMCE.get("destTitle");
			editor.setContent(jQuery("#destAddress").html());
			//jQuery("#destTitle").val(jQuery("#destAddress").html());

			if(widthUnitChecked2 == "checked") {
				jQuery("input[type=radio][id='destWidthUnit2']").prop("checked", true);
			}
			if(widthUnitChecked1 == "checked") {
				jQuery("input[type=radio][id='destWidthUnit1']").prop("checked", true);
			}
			if(heightUnitChecked2 == "checked") {
				jQuery("input[type=radio][id='destHeightUnit2']").prop("checked", true);
			}
			if(heightUnitChecked1 == "checked") {
				jQuery("input[type=radio][id='destHeightUnit1']").prop("checked", true);
			}			
			jQuery("#destHeight").val(height);			
			jQuery("#destWidth").val(width);						
		}
		else
		{
			Swal.fire({
			  position: 'center',
			  type: 'warning',
			  title: "먼저 주소로 검색해 주세요",
			  showConfirmButton: false,
			  timer: 1000
			});
			return false
		}
	}

	function searchAddressEvent(e)
	{
		if(e.keyCode == 13)
		{
			searchAddress();
			return false;
		}
		return true;
	}


	function loadNaverMap(client_id)
	{
		var head= document.getElementsByTagName('head')[0];
		var script= document.createElement('script');
		script.type= 'text/javascript';
		script.src= '//openapi.map.naver.com/openapi/v3/maps.js?ncpClientId='+client_id+"&submodules=geocoder";
		head.appendChild(script)
	}

	function changeDestAddress()
	{
		var title = "";

		var editor = tinyMCE.get("destTitle");
		if (editor) {
			// Ok, the active tab is Visual
			title = editor.getContent();
		} else {
			// The active tab is HTML, so just query the textarea
			title = jQuery("#destTitle").val();
		}

		if(!jQuery.trim(title))
		{
			Swal.fire({
			  position: 'center',
			  type: 'warning',
			  title: "제목을 입력하세요",
			  showConfirmButton: false,
			  timer: 1000
			});
			return false;
		}

		var width = jQuery.trim(jQuery("#destWidth").val());
		if(!width)
		{
			Swal.fire({
			  position: 'center',
			  type: 'warning',
			  title: "폭을 입력해 주십시오",
			  showConfirmButton: false,
			  timer: 1000
			});
			return false;
		}
		if(isNaN(width))
		{
			Swal.fire({
			  position: 'center',
			  type: 'warning',
			  title: "폭을 숫자롤 입력해 주십시오",
			  showConfirmButton: false,
			  timer: 1000
			});
			return false;
		}
		var height = jQuery.trim(jQuery("#destHeight").val());
		if(!height)
		{
			Swal.fire({
			  position: 'center',
			  type: 'warning',
			  title: "높이를 입력해 주십시오",
			  showConfirmButton: false,
			  timer: 1000
			});
			return false;
		}
		if(isNaN(height))
		{
			Swal.fire({
			  position: 'center',
			  type: 'warning',
			  title: "높이를 숫자롤 입력해 주십시오",
			  showConfirmButton: false,
			  timer: 1000
			});
			return false;
		}

		var widthUnit = jQuery('input[name=destWidthUnit]:checked').val();		
		var heightUnit = jQuery('input[name=destHeightUnit]:checked').val();

		if(widthUnit == "%" && width > 100) {
			Swal.fire({
				position: 'center',
				type: 'warning',
				title: "폭이 100% 보다 클 수 없습니다",
				showConfirmButton: false,
				timer: 1000
			  });
			  return false;
		  }

		height = height + heightUnit;
		width = width + widthUnit;		

		var lng = jQuery("#destAddress").attr("lng");
		var lat = jQuery("#destAddress").attr("lat");

		if(width != mapWidth || height != mapHeight)
		{
			mapWidth = width;
			mapHeight = height;

			map.destroy();
			jQuery("#map").css("width",width);
			jQuery("#map").css("height",height);

			map = new naver.maps.Map('map', {
				center: new naver.maps.LatLng(lat, lng),
				mapTypeControl: true,
				zoom: 15
			});

			infoWindow = new naver.maps.InfoWindow({
				anchorSkew: true
			});

			var point = new naver.maps.Point(lng, lat);
			map.setCenter(point);
			infoWindow.open(map, point);
		}


		var contents = "";

		var editor = tinyMCE.get("destContents");
		var editor_content = "";
		if (editor) {
			// Ok, the active tab is Visual
			editor_content = editor.getContent();
		} else {
			// The active tab is HTML, so just query the textarea
			editor_content = jQuery("#destContents").val();
		}
		contents = '<div id="destAddressContents" style="padding:0px; padding-left:10px; margin-top:5px; font-size:11px; line-height:110%">'+editor_content+'</div>';

		infoWindow.setContent([
			'<div style="padding:10px;min-width:200px;line-height:150%;">',
			'<h7 style="margin-top:5px; margin-bottom:5px; font-weight:bold" id="destAddress" lng="'+lng+'" lat="'+lat+'">'+ title +'</h7>',
			contents,
			'</div>'
		].join('\n'));

		closeMessage("winADD");
	}


	function searchAddress()
	{
		var address = jQuery.trim(jQuery("#search_address").val());
		if(!address)
		{
			Swal.fire({
			  position: 'center',
			  type: 'warning',
			  title: "검색하실 주소를 입력하세요",
			  showConfirmButton: false,
			  timer: 1000
			});
			return false;
		}
		searchAddressToCoordinate(address);
	}

	function searchAddressToCoordinate(address) {
	  naver.maps.Service.geocode({
		 query: address
	  }, function(status, response) {
		 if (status === naver.maps.Service.Status.ERROR) {
			if (!address) {
			  return alert('Geocode Error, Please check address');
			}
			return alert('Geocode Error, address:' + address);
		 }

		 if (response.v2.meta.totalCount === 0) {
			return alert('No result.');
		 }

		 var htmlAddresses = [],
			item = response.v2.addresses[0],
			point = new naver.maps.Point(item.x, item.y);
		   var lng = item.x;
		   var lat = item.y;

/*		 if (item.roadAddress) {
			htmlAddresses.push('[도로명 주소] ' + item.roadAddress);
		 }

		 if (item.jibunAddress) {
			htmlAddresses.push('[지번 주소] ' + item.jibunAddress);
		 }

		 if (item.englishAddress) {
			htmlAddresses.push('[영문명 주소] ' + item.englishAddress);
		 }*/

  		 htmlAddresses.push('<div id="destAddressContents" style="padding:0px; padding-left:10px; margin-top:5px; font-size:11px; line-height:110%"></div>');

		 infoWindow.setContent([
			'<div style="padding:10px;min-width:200px;line-height:150%;">',
			'<h7 style="margin-top:5px; margin-bottom:5px; font-weight:bold" id="destAddress" lng="'+lng+'" lat="'+lat+'">'+ address +'</h7>',
			htmlAddresses,
			'</div>'
		 ].join('\n'));

		 map.setCenter(point);
		 infoWindow.open(map, point);
	  });
	}
